Package twisted :: Package trial :: Module runner :: Class TestClassRunner

[frames | no frames]

## Class TestClassRunner

Known Subclasses:
  `PerformanceTestClassRunner`

Method Summary
| `__init__(self, testClass, stats)`
| `__str__(self)`
| `getMethods(self)`
| `getTestClass(self)`
| `numTests(self)`
| `runTest(self, method)`
| `runTests(self, output)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.trial.runner.ITestRunne...`
`tuple` | `methodPrefixes` = `('test',)`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.trial.runner.ITestRunner at 0x899d774>,)

### methodPrefixes

  Type:
    `tuple`
  Value:

        ('test',)

Generated by Epydoc 2.0 on Sat May 15 20:08:23 2004 | http://epydoc.sf.net